// SCardMap.h: Schnittstelle fr die Klasse SCardMap.
//
//////////////////////////////////////////////////////////////////////

#ifndef S_CARDMAP_H
#define S_CARDMAP_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SMemoryCard.h"

#define MAX_CARDS 24

class SCardMap  
{
public:
	
	void create(unsigned int glTex,float initX, float initY);
	void click(float xPos,float yPos);
	void draw(float frameTime);
	SCardMap();
	virtual ~SCardMap();
protected:
	void checkMap();
	
	SMemoryCard cards[MAX_CARDS];
	int openCards[2];
	int howMany;
};

#endif 
