// STimer.cpp: Implementierung der Klasse STimer.
//
// Copyright by Andr Stein
// E-Mail: andre_stein@gmx.de, andre_stein@web.de
// http://stonemaster.port5.com
//////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include <mmsystem.h>


#include "STimer.h"
//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

STimer::STimer()
{

}

STimer::~STimer()
{

}

//////////////////////////////////////////////////////////////////////
// Funktionen
//////////////////////////////////////////////////////////////////////


void STimer::create()
{
	if (!QueryPerformanceFrequency((LARGE_INTEGER *)&frequency))
	{
		performanceTimer = false;
		timerStart = timeGetTime();
		frequency  = 1000;
		resolution = float(1.0)/float(frequency);
		timerElapsed = timerStart;
	}
	else
	{
		performanceTimer = true;
		QueryPerformanceCounter((LARGE_INTEGER *)&timerStart);
		resolution   = float(double(1.0)/double(frequency));
		timerElapsed = timerStart;
	}
}

float STimer::getTime()
{	
	__int64 time;

	if (performanceTimer)
	{
		QueryPerformanceCounter((LARGE_INTEGER*)&time);
	}
	else
	{
		time = timeGetTime();
	}
			   
	return  float(time - timerStart) *
				resolution * float(1000.0);		  
}
