// STimer.h: Schnittstelle fr die Klasse STimer.
//
// Copyright by Andr Stein
// E-Mail: andre_stein@gmx.de, andre_stein@web.de
// http://stonemaster.port5.com
//////////////////////////////////////////////////////////////////////
#ifndef STIMER_H
#define STIMER_H

#if _MSC_VER > 1000
#pragma once
#endif 

class STimer  
{
public:
	//////////////////
	// Konstruktoren / Destruktoren
	//////////////////
	
	STimer();
	virtual ~STimer();
	
	/////////////////
	// Funktionen
	/////////////////

	float getTime();
	void create();
	inline __int64 getFrequency();

protected:
	__int64 frequency;
	__int64 timerStart;
	__int64 timerElapsed;
	float resolution;
	bool performanceTimer;
};

__int64 STimer::getFrequency()
{
	return frequency;
}

#endif 