// SGLFont.h: Schnittstelle fr die Klasse SGLFont.
//
//////////////////////////////////////////////////////////////////////

#ifndef SGL_FONT_H
#define SGL_FONT_H

#if _MSC_VER > 1000
#pragma once
#endif 

#include <windows.h>
#include <gl\gl.h>
#include <stdarg.h>
#include <stdio.h>

struct SFontAttri
{
	SFontAttri (int isBold,bool isItalic, bool isUnderline)
	{
		bold = isBold;
		italic = isItalic;
		underline = isUnderline;
	}

	SFontAttri()
	{
	}

	int bold;
	bool italic;
	bool underline;
};

enum SAlign
{
	LEFT,
	RIGHT,
	CENTER
};

class SGLFont  
{
public:
	virtual void drawText(SAlign alignment , const char* string,...) = 0;
	virtual ~SGLFont();
protected:
	SGLFont();
	GLuint listBase;
};

#endif 